<?php

declare(strict_types = 1);

namespace Drupal\media_revisions_ui\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Media Revisions UI event subscriber.
 */
class MediaRevisionsUiSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    $revisionRoute = $collection->get('entity.media.revision');
    $revisionRoute->setOption('_admin_route', TRUE);

    $versionHistoryRoute = $collection->get('entity.media.version_history');
    $versionHistoryRoute->setOption('_admin_route', TRUE);

    $revisionRevertFormRoute = $collection->get('entity.media.revision_revert_form');
    $revisionRevertFormRoute->setOption('_admin_route', TRUE);

    $revisionDeleteFormRoute = $collection->get('entity.media.revision_delete_form');
    $revisionDeleteFormRoute->setOption('_admin_route', TRUE);
  }

}
